com.versionone

## Class DB

- java.lang.Object
- - com.versionone.DB

- Direct Known Subclasses:
    DB.BigInt, DB.Bit, DB.DateTime, DB.Int, DB.NullObject, DB.Real, DB.Str

      public abstract class DB
      extends Object

  Base class for data types used in the Java SDK. Internal types are wrapped to allow for null values.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DB.BigInt` DB type for Long
    `static class` | `DB.Bit` DB type for Boolean values
    `static class` | `DB.DateTime` DB Type for Dates
    `static class` | `DB.Int` DB Class for Integers
    `static class` | `DB.NullObject` Represents a NULL DB object
    `static class` | `DB.Real` DB type for Float
    `static class` | `DB.Str` DB type for Strings

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DB.NullObject` | `Null`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DB()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `equals(Object obj)` Compare this object to another and return true if they are equal
    `abstract Object` | `getValue()` Get the value of the data.
    `int` | `hashCode()` Return the hashCode for the object
    `boolean` | `isNull()` Is the value null?
    `String` | `toString()` return the String representation of this object

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Null

          public static final DB.NullObject Null

  - ### Constructor Detail

    - #### DB

          protected DB()

  - ### Method Detail

    - #### getValue

          public abstract Object getValue()

      Get the value of the data.
      Returns:
        Object

    - #### equals

          public abstract boolean equals(Object obj)

      Compare this object to another and return true if they are equal
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Return the hashCode for the object
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      return the String representation of this object
      Overrides:
        `toString` in class `Object`

    - #### isNull

          public boolean isNull()

      Is the value null?
      Returns:
        true if the value is null, false otherwise

Copyright © 2022 VersionOne, Inc.. All rights reserved.